%{?mingw_package_header}

%global pkgname giflib

Name:          mingw-%{pkgname}
Version:       5.2.1
%define subrel 1
Release:       %mkrel 2
Summary:       MinGW Windows %{pkgname} library
License:       MIT
Group:         Development/Other
BuildArch:     noarch
URL:           http://www.sourceforge.net/projects/%{pkgname}/
Source:        http://downloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}.tar.gz
Source1:       CMakeLists.txt
# Fix heap overflow in giffix (CVE-2015-7555, #1293372)
Patch0:        giflib_CVE-2015-7555.patch
Patch1:        giflib-5.2.1-CVE-2022-28506.patch

BuildRequires: cmake
BuildRequires: make

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows giflib library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
%{summary}.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}
cp -a %{SOURCE1} .


%build
%mingw_cmake -DBUILD_STATIC_LIBS=1
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Don't ship manpages
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libgif-7.dll
%{mingw32_includedir}/gif_lib.h
%{mingw32_libdir}/libgif.dll.a

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgif.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libgif-7.dll
%{mingw64_includedir}/gif_lib.h
%{mingw64_libdir}/libgif.dll.a

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgif.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe




%changelog
* Wed Aug 03 2022 mrambo3501 <mrambo3501> 5.2.1-2.1.mga8
+ Revision: 1875022
- add upstream patch which fixes CVE-2022-28506 (mga#30671)

* Sat Feb 15 2020 umeabot <umeabot> 5.2.1-2.mga8
+ Revision: 1526918
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 daviddavid <daviddavid> 5.2.1-1.mga8
+ Revision: 1418946
- new version: 5.2.1

* Sun Apr 14 2019 daviddavid <daviddavid> 5.1.9-1.mga7
+ Revision: 1390047
- new version: 5.1.9

* Thu Mar 21 2019 daviddavid <daviddavid> 5.1.8-1.mga7
+ Revision: 1379383
- new version: 5.1.8

* Mon Mar 11 2019 daviddavid <daviddavid> 5.1.7-2.mga7
+ Revision: 1374138
- add back patch for CVE-2015-7555

* Mon Mar 11 2019 daviddavid <daviddavid> 5.1.7-1.mga7
+ Revision: 1374123
- new version: 5.1.7

* Wed Sep 19 2018 umeabot <umeabot> 5.1.4-2.mga7
+ Revision: 1264275
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 5.1.4-1.mga6
+ Revision: 1012693
- new release

* Mon Feb 08 2016 umeabot <umeabot> 5.0.4-6.mga6
+ Revision: 943924
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.4-5.mga5
+ Revision: 740258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.4-4.mga5
+ Revision: 682438
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.0.4-3.mga4
+ Revision: 536195
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 5.0.4-2.mga4
+ Revision: 483634
- imported package mingw-giflib


* Sat Aug 10 2013 Sandro Mani <manisandro@gmail.com> - 5.0.4-2
- Fix descriptions

* Fri Aug 09 2013 Sandro Mani <manisandro@gmail.com> - 5.0.4-1
- Update to 5.0.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 4.1.6-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 4.1.6-1
- Initial Fedora package
